<?
session_start();
/*if(!isset($_SESSION['usuario']))
{
 	echo "<script languaje='JavaScript'>";       
	echo "parent.location.href='login.php'; ";
	echo "</script>";
}*/
/////////////////////////////////////
 date_default_timezone_set('America/Lima');
 include ("clases/Usuario.class.php"); $obju = new Usuario();
include "clases/Asistencia.class.php"; $objas = new Asistencia();
 include "clases/Afiliado.class.php"; $objaf = new Afiliado();
 ////////////////////////////////////////////////////////////////
 //$obja = new Afiliado();
if(isset($_SESSION['usuario'])) {  
    // Verificamos si 'usuario' est� definida en la sesi�n
    if($obju->BuscarPorUsuario($_SESSION['usuario'])) {  
    // Ahora buscamos al usuario con el valor de $_SESSION['usuario']
        $tipouser = $obju->gettipo();
        if($tipouser == "OPERADOR") {
            echo "<script languaje='JavaScript'>";
            echo "parent.location.href='login.php'; ";  // Redireccionamos a login.php
            echo "</script>";
        }
    }
} else {
    // Si 'usuario' no est� en la sesi�n, tambi�n redirigimos a login.php
    echo "<script languaje='JavaScript'>";
    echo "parent.location.href='login.php'; ";  // Redireccionamos a login.php
    echo "</script>";
}
 ////////////////////////////////////////////////
 
 $dni=$_REQUEST["dni"];
 if($dni=="")
 {
   $mensaje = "Por Favor Marque su asistencia";  
 }else{  /////////////////////obtengo datos del afiliado nombre e ID//////////////
		 if($objaf->BuscarPorDocumento($dni))
		 {
		    $afiliado = $objaf->getnombres()." ".$objaf->getapepat()." ".$objaf->getapemat();
			$idafiliado = $objaf->getidafiliado();
			 //////OBTENGO LA FECHA Y HORA DEL DIA/////////
			 $fecha = date("d-m-Y");
			 $hora =  date("H:i:s");
			 //////////////////////VERIFICO SI YA TIENE UNA ASISTENCIA MARCADA EN EL DIA////////
			 if($objas->BuscarPorAfiliadoFecha($idafiliado))	
			 {////////si ya tiene una asistencia verifico que tenga marcada la segunda asistencia del dia y obtengo el IDASIS
			     $idasis = $objas->getidasis();
			   if($objas->BuscarPorAfiliadoFechaFin($idafiliado))	
			    { ////si ya la tiene muestra el mensaje
			       $mensaje = "Ud. ya realizo su marcacion completa, gracias"; 
				}else{//////////////si no tiene la segunda marcacion del dia se actualiza sus fechas
				       if($objas->ActualizarFechafin($idasis,$fecha,$hora))
					   {
					      $mensaje= "MARCACION FINAL CORRECTA";
					   }else{
					          $mensaje= "no se pudo procesar la marcacion de salida, consulte al Adm.";
							}
				     }
				
			 }else{		
					 if($objas->Crear($idafiliado,$fecha,$hora))
					   {
						  $mensaje = "Marcacion Correcta";
					   }else{
								$mensaje = "No se pudo procesar la marcacion, Consulte con el Administrador";
							}
				   }
		 }else{
			   $mensaje = "Ud no esta Registrado";
			  }
	  }
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
<title>CONTROL DE ASISTENCIA</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="media/css/bootstrap.css">
	<link rel="stylesheet" href="media/css/bootstrap.min.css">
	<link rel="stylesheet" href="media/css/bootstrap-theme.css">
	<link rel="stylesheet" href="media/css/bootstrap-theme.min.css">
	<link rel="stylesheet" href="media/css/dataTables.bootstrap.min.css">
	<link rel="stylesheet" href="media/css/fixedHeader.bootstrap.min.css">
	<link rel="stylesheet" href="media/css/responsive.bootstrap.min.css">
	 <script src="media/js/jquery-1.10.2.js"></script>
	<script src="media/js/jquery.dataTables.min.js"></script>
	<script src="media/js/dataTables.bootstrap.min.js"></script>
	<script src="media/js/dataTables.fixedHeader.min.js"></script>
	<script src="media/js/dataTables.responsive.min.js"></script>
	<script src="media/js/responsive.bootstrap.min.js"></script>
	
	<script src="media/js/jquery.min.js"></script>
    <script src="media/js/bootstrap.min.js"></script>
	
	<script>
	   function marcar(f)
	   {
	      if(f.dni.value=="")
		  {
		      alert("Debe ingresar un DNI");
			  return false;
		  }else{
		  		f.action='marcacion.php';
				f.submit();
				return true;
		       }
	   }
	</script>
</head>

<body>
  <div class="container">
   <div id="qr-reader" style="width:auto; margin-bottom: 10px;"></div>
   </div>
   <script src="https://unpkg.com/html5-qrcode"></script>
    <script>
        function onScanSuccess(decodedText, decodedResult) {
            // Pegar el valor del c�digo QR en la caja de texto
            document.getElementById('dni').value = decodedText;
        }

        function onScanFailure(error) {
            // Puede ser utilizado para manejar errores de escaneo
            console.warn(`C�digo QR no detectado: ${error}`);
        }

        let html5QrcodeScanner = new Html5QrcodeScanner(
            "qr-reader", { fps: 10, qrbox: 250 });
        html5QrcodeScanner.render(onScanSuccess, onScanFailure);
    </script> 
    
    
    
<script>
  // Espera a que el documento HTML est� completamente cargado
  document.addEventListener('DOMContentLoaded', function() {
    // Obtiene la referencia a la caja de texto por su id
    var cajaTexto = document.getElementById('dni');
    // Establece el foco en la caja de texto
    cajaTexto.focus();
  });
</script>
<div class="container">
 <div class="panel panel-primary">
      <div class="panel-heading"><h4>Control de Asistencia SITSER-MPCP</h4></div>
   <div class="panel-body">
		<form class="form-inline" method="post" action="">
		 
		  <div class="form-group">
			<label for="inputPassword2" class="sr-only">DNI</label>
			<input type="text" class="form-control" name="dni" id="dni" placeholder="Ingrese DNI" onChange="marcar(this.form);">
		  </div>
		  
		  <button type="button" class="btn btn-success" onClick="marcar(this.form);">Marcar Asistencia</button>
		</form>
		<br>
		<label class="alert-info"><h3><?="Estimado(a): ".$afiliado." ".$mensaje;?></h3></label>
   </div>
</div>
</div>
</body>
</html>
